package cd.casic.plugin.function;

import java.time.Duration;

/**
 * @Classname Reconciler
 * @Description TODO
 * @Date 2025/5/9 15:54
 * @Created by mianbin
 */
public interface Reconciler<R> {

    Result reconcile(R request);

    record Request(String name) {
    }

    record Result(boolean reEnqueue, Duration retryAfter) {

        public static Result doNotRetry() {
            return new Result(false, null);
        }

        public static Result requeue(Duration retryAfter) {
            return new Result(true, retryAfter);
        }
    }
}

