package cd.casic.ci.commons.bean.engine.job;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线配置顺序模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Tasks {

    //配置id
    private String taskId;

    //创建时间
    private String createTime;

    //类型1-10:源码,10-20:测试,20-30:构建,30-40:部署,40-50:代码扫描,50-60:推送制品
    private String taskType;

    //顺序
    private int taskSort;

    //顺序
    private String taskName;

    //任务
    private Object values;

    private String pipelineId;

    private String postprocessId;

    //阶段
    private String stageId;

    //任务
    private Object task;

    // 执行实例id
    private String instanceId;

    public Tasks(String createTime, String taskType) {
        this.createTime = createTime;
        this.taskType = taskType;
    }
}
