package cd.casic.ci.commons.bean.process.instance;

import cd.casic.ci.commons.bean.process.definition.Pipeline;
import cd.casic.framework.commons.pojo.PageParam;
import cn.hutool.db.Page;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


import java.util.List;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线实例分页筛选模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineInstanceQuery {

    //流水线id
    private String pipelineId;

    //状态
    private String state;

    //用户id
    private String userId;

    //类型
    private int type;

    //用户流水线
    private List<Pipeline> pipelineList;

    //用户流水线
    private String[] ids;

    private String number;

    //分页参数
    private PageParam pageParam = new PageParam();

    //排序参数
    private Object orderParams;
}
