package cd.casic.module.process.task.build.dao;

/**
 * @ClassName TaskArtifactXpackServiceImpl
 * @Author hopeli
 * @Date 2025/5/2 19:46
 * @Version 1.0
 */


import cd.casic.module.process.task.build.dataobject.TaskBuildProductDo;
import cd.casic.module.process.task.build.model.TaskBuildProductQuery;
import cd.casic.module.process.task.code.jpa.JpaTemplate;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class TaskBuildProductDao {

    @Autowired
    JpaTemplate jpaTemplate;

    /**
     * 创建
     * @param taskBuildProductEntity build信息
     * @return buildId
     */
    public String createBuildProduct(TaskBuildProductDo taskBuildProductEntity){
        return jpaTemplate.save(taskBuildProductEntity,String.class);
    }

    /**
     * 删除
     * @param buildId buildId
     */
    public void deleteBuildProduct(String buildId){
        jpaTemplate.delete(TaskBuildProductDo.class,buildId);
    }

    /**
     * 更新build
     * @param taskBuildProductDo 更新信息
     */
    public void updateBuildProduct(TaskBuildProductDo taskBuildProductDo){
        jpaTemplate.update(taskBuildProductDo);
    }

    /**
     * 查询单个build信息
     * @param buildId buildId
     * @return build信息
     */
    public TaskBuildProductDo findOneBuildProduct(String buildId){
        return jpaTemplate.findOne(TaskBuildProductDo.class,buildId);
    }

    /**
     * 查询所有build信息
     * @return build信息集合
     */
    public List<TaskBuildProductDo> findAllBuildProduct(){
        return jpaTemplate.findAll(TaskBuildProductDo.class);
    }

    public List<TaskBuildProductDo> findBuildProductList(TaskBuildProductQuery taskBuildProductQuery){
//        QueryCondition queryCondition = QueryWrapper.createQuery(TaskBuildProductDo.class)
//                .eq("instanceId", taskBuildProductQuery.getInstanceId())
//                .eq("type", taskBuildProductQuery.getType())
//                .eq("key", taskBuildProductQuery.getKey())
//                .get();
        return jpaTemplate.findList(null, TaskBuildProductDo.class);
    }

    public List<TaskBuildProductDo> findAllBuildProductList(List<String> idList){
        return jpaTemplate.findList(TaskBuildProductDo.class,idList);
    }




}
