package cd.casic.module.process.task.codescan.service.impl;

/**
 * @ClassName TaskArtifactXpackServiceImpl
 * @Author hopeli
 * @Date 2025/5/3 20:15
 * @Version 1.0
 */

import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.module.process.task.code.service.SpotbugsScanService;
import cd.casic.module.process.task.codescan.dao.SpotbugsScanDao;
import cd.casic.module.process.task.codescan.model.SpotbugsBugQuery;
import cd.casic.module.process.task.codescan.model.SpotbugsBugSummary;
import jakarta.annotation.Resource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.File;
import java.util.List;
import java.util.Objects;

/**
 * @author Spotbugs代码扫描实现
 */
@Service
public class SpotbugsScanServiceImpl implements SpotbugsScanService {

    @Resource
    SpotbugsScanDao spotbugsScanDao;

    @Override
    public String creatSpotbugs(SpotbugsBugSummary bugSummary) {
        return spotbugsScanDao.creatSpotbugs(bugSummary);
    }

    @Override
    public void updateSpotbugs(SpotbugsBugSummary bugSummary) {
        spotbugsScanDao.updateSpotbugs(bugSummary);
    }

    @Override
    public void deleteSpotbugs(String bugId) {
        SpotbugsBugSummary spotbugs = findOneSpotbugs(bugId);
        if (Objects.isNull(spotbugs)){
            return;
        }
        String xmlPath = spotbugs.getXmlPath();

        File file = new File(xmlPath);
        if (file.exists()){
            file.delete();
        }
        spotbugsScanDao.deleteSpotbugs(bugId);
    }

    @Override
    public SpotbugsBugSummary findOneSpotbugs(String bugId) {
        return spotbugsScanDao.findOneSpotbugs(bugId);
    }

    @Override
    public List<SpotbugsBugSummary> findAllSpotbugs() {
        return spotbugsScanDao.findAllSpotbugs();
    }

    @Override
    public List<SpotbugsBugSummary> findSpotbugsList(SpotbugsBugQuery bugQuery) {
        return spotbugsScanDao.findSpotbugsList(bugQuery);
    }

    @Override
    public PageResult<SpotbugsBugSummary> findSpotbugsPage(SpotbugsBugQuery bugQuery) {
        return spotbugsScanDao.findSpotbugsPage(bugQuery);
    }
}






















